<html>
<head>
<title>Ogre::InstancedGeometry::MaterialBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::InstancedGeometry::MaterialBucket Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::InstancedGeometry::MaterialBucket" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same L...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD).  
 <a href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::InstancedGeometry::MaterialBucket:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1InstancedGeometry_1_1MaterialBucket__inherit__graph.gif" border="0" usemap="#Ogre_1_1InstancedGeometry_1_1MaterialBucket_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1InstancedGeometry_1_1MaterialBucket_inherit__map" id="Ogre_1_1InstancedGeometry_1_1MaterialBucket_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="61,5,216,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1InstancedGeometry_1_1MaterialBucket-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">GeometryBucketList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>  <a href="#aee43a4b2feb5fd98424df1b018008979"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">GeometryBucketList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#acb7aa4e729032365115e8f4a6fc27d23">GeometryIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Iterator over geometry.  <a href="#acb7aa4e729032365115e8f4a6fc27d23"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a5f10bcd6548e3d203c56479882ad600b">MaterialBucket</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *parent, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a35d8863f6689c109dfeea0110c6151e4">~MaterialBucket</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#af4a57731ec8f8b3268055f0751e1aa95">getParent</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#ad0d79b15230bb1d6cec195733c92e286">getMaterialName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the material name.  <a href="#ad0d79b15230bb1d6cec195733c92e286"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a9a2e358c68d9ad1d83b137024ec310f6">assign</a> (<a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *qsm)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign geometry to this bucket.  <a href="#a9a2e358c68d9ad1d83b137024ec310f6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a80d29ec722226dfd0e861ad6ffdd60b3">build</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build.  <a href="#a80d29ec722226dfd0e861ad6ffdd60b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#acda0f15a9213284de8ae411b0bab125c">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add children to the render queue.  <a href="#acda0f15a9213284de8ae411b0bab125c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7b0e0cf78314610cac9d12f609a97051">getMaterial</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the material for this bucket.  <a href="#a7b0e0cf78314610cac9d12f609a97051"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#acb7aa4e729032365115e8f4a6fc27d23">GeometryIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a0f41eb2270de136057f11d9174964561">getGeometryIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the contained geometry.  <a href="#a0f41eb2270de136057f11d9174964561"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#af2867e1be4278a17b9156610f5ce96a8">getCurrentTechnique</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#af2867e1be4278a17b9156610f5ce96a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#adef653a7b45c37d6cf9a64e77d954313">dump</a> (std::ofstream &amp;of) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#adef653a7b45c37d6cf9a64e77d954313"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a856888f6dbf13f8f88b3bdc174494f10">MaterialBucket::CurrentGeometryMap</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aaebed9f61bb0de673dd6b08fac08b708">getMaterialBucketMap</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the geometry map.  <a href="#aaebed9f61bb0de673dd6b08fac08b708"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">MaterialBucket::GeometryBucketList</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a87942b01517f144000ed7de94a489f09">getGeometryBucketList</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the geometry list.  <a href="#a87942b01517f144000ed7de94a489f09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a39b21d1642232f58a04a0ee5ee6a5c65">updateContainers</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *bucket, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">fill in the map and the list  <a href="#a39b21d1642232f58a04a0ee5ee6a5c65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a6479a981782ef9751c9351e848fc7651">setLastIndex</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a85de6860784259691402b488e6ab08f0">getLastIndex</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a583a8286a42b50dadc895f2b2d8b9c5f">setMaterial</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#ac7ff5e22089f8479b748a5c8a8ee2e55">visitRenderables</a> (<a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *visitor, bool debugRenderables)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a856888f6dbf13f8f88b3bdc174494f10">CurrentGeometryMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7474f328d0f531b779ae669569680d8e">getGeometryFormatString</a> (<a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *geom)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a packed string identifying the geometry format.  <a href="#a7474f328d0f531b779ae669569680d8e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a073b176d881a1bd07da668bc455920e8">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>.  <a href="#a073b176d881a1bd07da668bc455920e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a2e982f99fae8c3e18f79ce8a815b7212">mMaterialName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used.  <a href="#a2e982f99fae8c3e18f79ce8a815b7212"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a4fb67876925cd7d276b6762c9b32a36a">mMaterial</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to material being used.  <a href="#a4fb67876925cd7d276b6762c9b32a36a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a57be70b56e186209e9bb0ce1f546ac78">mTechnique</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Active technique.  <a href="#a57be70b56e186209e9bb0ce1f546ac78"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aa798f54112a46649c99b38505903522f">mLastIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">GeometryBucketList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a076bd8cb1dd52a1241efa09d99a07adb">mGeometryBucketList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>  <a href="#a076bd8cb1dd52a1241efa09d99a07adb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a856888f6dbf13f8f88b3bdc174494f10">CurrentGeometryMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a2b41d2a797dfed7facaa6c93a1d75a6e">mCurrentGeometryMap</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same L...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD). </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00320">320</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a856888f6dbf13f8f88b3bdc174494f10"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::CurrentGeometryMap" ref="a856888f6dbf13f8f88b3bdc174494f10" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt;::type <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a856888f6dbf13f8f88b3bdc174494f10">Ogre::InstancedGeometry::MaterialBucket::CurrentGeometryMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00338">338</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aee43a4b2feb5fd98424df1b018008979"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::GeometryBucketList" ref="aee43a4b2feb5fd98424df1b018008979" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt;::type <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">Ogre::InstancedGeometry::MaterialBucket::GeometryBucketList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a> </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00324">324</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb7aa4e729032365115e8f4a6fc27d23"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::GeometryIterator" ref="acb7aa4e729032365115e8f4a6fc27d23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">GeometryBucketList</a>&gt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#acb7aa4e729032365115e8f4a6fc27d23">Ogre::InstancedGeometry::MaterialBucket::GeometryIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Iterator over geometry. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00359">359</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5f10bcd6548e3d203c56479882ad600b"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::MaterialBucket" ref="a5f10bcd6548e3d203c56479882ad600b" args="(LODBucket *parent, const String &amp;materialName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a5f10bcd6548e3d203c56479882ad600b">Ogre::InstancedGeometry::MaterialBucket::MaterialBucket</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>materialName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a35d8863f6689c109dfeea0110c6151e4"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::~MaterialBucket" ref="a35d8863f6689c109dfeea0110c6151e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a35d8863f6689c109dfeea0110c6151e4">Ogre::InstancedGeometry::MaterialBucket::~MaterialBucket</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acda0f15a9213284de8ae411b0bab125c"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::addRenderables" ref="acda0f15a9213284de8ae411b0bab125c" args="(RenderQueue *queue, uint8 group, Real lodValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#acda0f15a9213284de8ae411b0bab125c">Ogre::InstancedGeometry::MaterialBucket::addRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lodValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add children to the render queue. </p>

</div>
</div>
<a class="anchor" id="a9a2e358c68d9ad1d83b137024ec310f6"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::assign" ref="a9a2e358c68d9ad1d83b137024ec310f6" args="(QueuedGeometry *qsm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a9a2e358c68d9ad1d83b137024ec310f6">Ogre::InstancedGeometry::MaterialBucket::assign</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *&#160;</td>
          <td class="paramname"><em>qsm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assign geometry to this bucket. </p>

</div>
</div>
<a class="anchor" id="a80d29ec722226dfd0e861ad6ffdd60b3"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::build" ref="a80d29ec722226dfd0e861ad6ffdd60b3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a80d29ec722226dfd0e861ad6ffdd60b3">Ogre::InstancedGeometry::MaterialBucket::build</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build. </p>

</div>
</div>
<a class="anchor" id="adef653a7b45c37d6cf9a64e77d954313"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::dump" ref="adef653a7b45c37d6cf9a64e77d954313" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#adef653a7b45c37d6cf9a64e77d954313">Ogre::InstancedGeometry::MaterialBucket::dump</a> </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&#160;</td>
          <td class="paramname"><em>of</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dump contents for diagnostics. </p>

</div>
</div>
<a class="anchor" id="af2867e1be4278a17b9156610f5ce96a8"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getCurrentTechnique" ref="af2867e1be4278a17b9156610f5ce96a8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#af2867e1be4278a17b9156610f5ce96a8">Ogre::InstancedGeometry::MaterialBucket::getCurrentTechnique</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00363">363</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a87942b01517f144000ed7de94a489f09"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getGeometryBucketList" ref="a87942b01517f144000ed7de94a489f09" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">MaterialBucket::GeometryBucketList</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a87942b01517f144000ed7de94a489f09">Ogre::InstancedGeometry::MaterialBucket::getGeometryBucketList</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the geometry list. </p>

</div>
</div>
<a class="anchor" id="a7474f328d0f531b779ae669569680d8e"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getGeometryFormatString" ref="a7474f328d0f531b779ae669569680d8e" args="(SubMeshLodGeometryLink *geom)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7474f328d0f531b779ae669569680d8e">Ogre::InstancedGeometry::MaterialBucket::getGeometryFormatString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *&#160;</td>
          <td class="paramname"><em>geom</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a packed string identifying the geometry format. </p>

</div>
</div>
<a class="anchor" id="a0f41eb2270de136057f11d9174964561"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getGeometryIterator" ref="a0f41eb2270de136057f11d9174964561" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#acb7aa4e729032365115e8f4a6fc27d23">GeometryIterator</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a0f41eb2270de136057f11d9174964561">Ogre::InstancedGeometry::MaterialBucket::getGeometryIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the contained geometry. </p>

</div>
</div>
<a class="anchor" id="a85de6860784259691402b488e6ab08f0"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getLastIndex" ref="a85de6860784259691402b488e6ab08f0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a85de6860784259691402b488e6ab08f0">Ogre::InstancedGeometry::MaterialBucket::getLastIndex</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00373">373</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7b0e0cf78314610cac9d12f609a97051"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getMaterial" ref="a7b0e0cf78314610cac9d12f609a97051" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7b0e0cf78314610cac9d12f609a97051">Ogre::InstancedGeometry::MaterialBucket::getMaterial</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the material for this bucket. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00357">357</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaebed9f61bb0de673dd6b08fac08b708"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getMaterialBucketMap" ref="aaebed9f61bb0de673dd6b08fac08b708" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a856888f6dbf13f8f88b3bdc174494f10">MaterialBucket::CurrentGeometryMap</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aaebed9f61bb0de673dd6b08fac08b708">Ogre::InstancedGeometry::MaterialBucket::getMaterialBucketMap</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the geometry map. </p>

</div>
</div>
<a class="anchor" id="ad0d79b15230bb1d6cec195733c92e286"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getMaterialName" ref="ad0d79b15230bb1d6cec195733c92e286" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#ad0d79b15230bb1d6cec195733c92e286">Ogre::InstancedGeometry::MaterialBucket::getMaterialName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the material name. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00348">348</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="af4a57731ec8f8b3268055f0751e1aa95"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getParent" ref="af4a57731ec8f8b3268055f0751e1aa95" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#af4a57731ec8f8b3268055f0751e1aa95">Ogre::InstancedGeometry::MaterialBucket::getParent</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00346">346</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6479a981782ef9751c9351e848fc7651"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::setLastIndex" ref="a6479a981782ef9751c9351e848fc7651" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a6479a981782ef9751c9351e848fc7651">Ogre::InstancedGeometry::MaterialBucket::setLastIndex</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00372">372</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a583a8286a42b50dadc895f2b2d8b9c5f"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::setMaterial" ref="a583a8286a42b50dadc895f2b2d8b9c5f" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a583a8286a42b50dadc895f2b2d8b9c5f">Ogre::InstancedGeometry::MaterialBucket::setMaterial</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a39b21d1642232f58a04a0ee5ee6a5c65"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::updateContainers" ref="a39b21d1642232f58a04a0ee5ee6a5c65" args="(GeometryBucket *bucket, const String &amp;format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a39b21d1642232f58a04a0ee5ee6a5c65">Ogre::InstancedGeometry::MaterialBucket::updateContainers</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *&#160;</td>
          <td class="paramname"><em>bucket</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>fill in the map and the list </p>

</div>
</div>
<a class="anchor" id="ac7ff5e22089f8479b748a5c8a8ee2e55"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::visitRenderables" ref="ac7ff5e22089f8479b748a5c8a8ee2e55" args="(Renderable::Visitor *visitor, bool debugRenderables)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#ac7ff5e22089f8479b748a5c8a8ee2e55">Ogre::InstancedGeometry::MaterialBucket::visitRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugRenderables</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2b41d2a797dfed7facaa6c93a1d75a6e"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mCurrentGeometryMap" ref="a2b41d2a797dfed7facaa6c93a1d75a6e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a856888f6dbf13f8f88b3bdc174494f10">CurrentGeometryMap</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a2b41d2a797dfed7facaa6c93a1d75a6e">Ogre::InstancedGeometry::MaterialBucket::mCurrentGeometryMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00339">339</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a076bd8cb1dd52a1241efa09d99a07adb"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mGeometryBucketList" ref="a076bd8cb1dd52a1241efa09d99a07adb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aee43a4b2feb5fd98424df1b018008979">GeometryBucketList</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a076bd8cb1dd52a1241efa09d99a07adb">Ogre::InstancedGeometry::MaterialBucket::mGeometryBucketList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a> </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00336">336</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa798f54112a46649c99b38505903522f"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mLastIndex" ref="aa798f54112a46649c99b38505903522f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aa798f54112a46649c99b38505903522f">Ogre::InstancedGeometry::MaterialBucket::mLastIndex</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00334">334</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4fb67876925cd7d276b6762c9b32a36a"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mMaterial" ref="a4fb67876925cd7d276b6762c9b32a36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a4fb67876925cd7d276b6762c9b32a36a">Ogre::InstancedGeometry::MaterialBucket::mMaterial</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to material being used. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00331">331</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2e982f99fae8c3e18f79ce8a815b7212"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mMaterialName" ref="a2e982f99fae8c3e18f79ce8a815b7212" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a2e982f99fae8c3e18f79ce8a815b7212">Ogre::InstancedGeometry::MaterialBucket::mMaterialName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00329">329</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a073b176d881a1bd07da668bc455920e8"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mParent" ref="a073b176d881a1bd07da668bc455920e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a073b176d881a1bd07da668bc455920e8">Ogre::InstancedGeometry::MaterialBucket::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00327">327</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a57be70b56e186209e9bb0ce1f546ac78"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mTechnique" ref="a57be70b56e186209e9bb0ce1f546ac78" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a57be70b56e186209e9bb0ce1f546ac78">Ogre::InstancedGeometry::MaterialBucket::mTechnique</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Active technique. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00333">333</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
